Bug 56749 - drag 'shell' out of konsole
Summary: drag 'shell' out of konsole
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2003-04-02 14:48 UTC by Edwin Schepers
Modified: 2012-05-14 07:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edwin Schepers 2003-04-02 14:48:05 UTC
Version:           1.2 post (using KDE 3.1.9)
Compiler:          gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)
OS:          Linux (i686) release 2.4.18-14

Hi,
Someone already made a report of this in the past (http://bugs.kde.org/show_bug.cgi?id=16201) and there was a quick answer.
But I have a konsole started with more than 1 shell doing lots of stuff. And I want to see them next to each other, so that I can watch them both at the same time.
How wonderful would it be to drag the little shell(monitor) icon, so that a separate konsole exists. It's something like dragging the toolbar.

Regards,
Edwin
Comment 1 Stephan Binner 2003-04-02 14:52:48 UTC
View/Detach Session or right mouse button menu/Detach Session 
Comment 2 Christian González 2008-07-10 15:54:55 UTC
This is NOT fixed.
The wish is, to make drag&drop possible for shell detaching.
I know that you can do it with right click->detach, but drag and drop would be fine.
drag&drop works now for KDE4, but not to outside the shell/detaching.
Comment 3 Christian González 2008-07-10 15:58:39 UTC
( I just wanted to file a new bug for this in KDE4 - and although this bug report here is for konsole 1.2 ind KDE3.1.9, KDE4 has v2.1, the real wish - dragging - is still not fixed)
Comment 4 Jekyll Wu 2011-08-23 17:45:58 UTC
Is there any special advantage of d&d when compared with detach, except it is really cool ?
Comment 5 Christian González 2011-08-23 20:38:25 UTC
Yes. Usability. D&D is intuitive. Right click -> Detach means two clicks. Gnome-terminal does this neatly (except reattaching).
Comment 6 Christian González 2012-01-01 17:12:02 UTC
Google's browser chromium does this neatly - and perfectly.
Comment 7 Kurt Hindenburg 2012-01-02 18:42:54 UTC
It should be possible w/o much effort.
Comment 8 Jekyll Wu 2012-05-14 07:17:52 UTC
Git commit b8b8ef7405e81dfcbe63e5a1b84cf773b6a36096 by Jekyll Wu.
Committed on 14/05/2012 at 08:48.
Pushed by jekyllwu into branch 'master'.

Support dragging tab out of current window and into its own window

Thanks to makis marimpis<makhsm@gmail.com> for the patch!

REVIEW: 104933
FIXED-IN: 4.9.0

M  +9    -3    src/ViewContainer.cpp

http://commits.kde.org/konsole/b8b8ef7405e81dfcbe63e5a1b84cf773b6a36096